package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.jeecg.modules.employSeek.entity.EmploySeek;
import org.springframework.web.bind.annotation.RequestHeader;

public interface SeekService {

    //求职信息-查询求职信息列表
    public Result<?> querySeekList(EmploySeek employSeek, PageBean pageBean);

    //求职信息-根据Id查看求职信息详情
    public Result<?> querySeekById(@RequestHeader("X-Access-Token")String token, String id);

    //求职信息-添加求职信息
    public Result<?> addSeek(@RequestHeader("X-Access-Token")String token, EmploySeek employSeek);

    //求职信息-修改求职信息
    public Result<?> updateSeek(@RequestHeader("X-Access-Token") String token, EmploySeek employSeek);

    //查询我的求职信息列表-求职订单
    public Result<?> queryMySeekList(@RequestHeader("X-Access-Token")String token, EmploySeek employSeek, PageBean pageBean);


}
